/*----------------------------------------------
 * Bootstrap header
 *-----------------------------------------------*/

body {
  background-color: #f5f8fa;
}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 50px white inset;
  -webkit-text-fill-color: #333;
}

input:-webkit-autofill:focus {
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075),
  0 0 8px rgba(102, 175, 233, 0.6),
  0 0 0 50px white inset;
  -webkit-text-fill-color: #333;
}

.login {
  max-width: 700px;
  margin: auto;
  margin-top: 20px;
}

.login-wrapper {
  max-width: 500px;
  margin: auto;
}

.login-footer {
  font-size: 0.85em;
  margin-top: 30px;
}

.fullscreen {
  padding: 0;
  width: 100%;
  height: 100%;
}

.green {
  background: lightgreen;
}

.yellow {
  background: yellow;
}

.bg-white {
  background: white !important;
}

select[class*="small"],
.row-fluid select[class*="small"] {
  background-color: yellow;
  height: 1.85em;
  padding: 1px 1px;
}

.row {
  margin-left: 0em;
  margin-right: 0em;
}

.strong {
  font-weight: bold;
}

.border {
  border: 1px solid #e1e1e1;
}

hr {
  margin: 0;
}

.nomargin {
  margin: 0 !important;
}

.nopadding {
  padding: 0 !important;
}

input.yellow,
select.yellow,
textarea.yellow {
  background-color: yellow;
}

.well-blue {
  padding: 20px 10px 1px;
  margin: 0;
  background-color: #f5f5f5;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}

.grey {
  color: #919191;
}

.red {
  color: red;
}

.blue {
  color: blue;
}

.big {
  font-size: 1.2em;
}

.bigger {
  font-size: 1.5em;
}

.small {
  padding: 3px 3px;
  font-size: 0.85em;
}

.right {
  text-align: right;
}

.left {
  text-align: left;
}

.input-prepend .add-on,
.input-prepend .btn {
  margin-right: -1px;
  padding: 2px 2px;
}

.toggle-handle {
  padding-left: 15px;
  padding-right: 15px;
}

/*----------------------------------------------
 * Table Styling
 *-----------------------------------------------*/

div.tablegrey {
  background-color: #e7e7e7;
  padding: 0.3em;
  border-top: 1px solid #fbeed5;
}

div.tableyellow {
  background-color: #fcf8e3;
  padding: 0.3em;
  border-top: 1px solid #fbeed5;
}

div.tablegreen {
  background-color: #def6dd;
  padding: 0.3em;
  border-top: 1px solid #fbeed5;
}

div.tablepink {
  background-color: #FFCCFF;
  padding: 0.3em;
  border-top: 1px solid #fbeed5;
}

div.lightblue {
  background-color: #cae0f2;
  padding: 0.3em;
  border-top: 1px solid #fbeed5;
}

.table th {
  text-align: center;
}

.lightyellow {
  background-color: #fcf8e3;
}

.lightgrey {
  background-color: #ececec;
}

.lightpink {
  background-color: #FFCCFF;
}

.center {
  text-align: center;
}

.strong {
  font-weight: bold;
}

.strong td {
  font-weight: bold;
}

tr.lightblue {
  background-color: #66FFFF;
}

tr.pink {
  background-color: #FFCCFF;
}

.table-data-center th,
.table-data-center td {
  vertical-align: middle !important;
  text-align: center;
}

/*----------------------------------------------
 * Popover Styling
 *-----------------------------------------------*/
.popover-content {
  background: white;
}

.tooltip-inner {
  word-wrap: break-word;
  white-space: pre-line;
}

/*----------------------------------------------
 * Navbar Styling
 *-----------------------------------------------*/

.navbar {
  border-style: none;
  font-size: 1.1em;
}

/*----------------------------------------------
 * Form element styling
 *-----------------------------------------------*/

.width-xs {
  width: 50px !important;
}

.width-sm {
  width: 80px !important;
}

.btn-primary, .btn-danger {
  width: 123px;
}

.btn-primary.btn-xl, .btn-xl {
  width: auto;
  padding: 15px 21px;
  font-size: 20px;
  line-height: 1.3333333;
  min-width: 123px;
}

.btn-round, .btn-primary.btn-round {
  width: 170px;
  height: 170px;
  border-radius: 50%;
  font-size: 30px;
}

.input-group > .input-group-btn > .btn-primary {
  width: auto;
  min-width: 30px;
}

.btn-orange {
  color: #fff;
  background-color: #f0ad4e;
  border-color: #eea236;
}

.btn-orange:hover, .btn-orange:active, .btn-orange:focus, .btn-orange:focus:active {
  background-color: #eea236;
}

.btn-green {
  color: #fff;
  border-color: #009933;
  background: #23a14d;
}

.btn-green:hover, .btn-green:active, .btn-green:focus, .btn-green:focus:active {
  background: #009933;
  border-color: #007828;
}

.btn-link {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  text-decoration: underline;
  cursor: pointer;
}

/*----------------------------------------------
 * Export menu styling
 *-----------------------------------------------*/
.export-menu {
  width: 100%;
  padding: 4px 0;
  list-style: none;
  border: 1px solid gray;
  border-radius: 4px;
  background-color: lightgray;
  position: absolute;
  display: none;
  margin-top: 30px;
  z-index: 98;
  padding-top: 8px;
}

.btn-report, .toggle-menu {
  width: auto;
  z-index: 100;
}

.toggle-menu:focus, .toggle-menu:hover,
.btn-report:focus, .btn-report:hover {
  z-index: 100 !important;
}

.export-menu li {
  padding: 0 10px;
}

.export-menu li:hover {
  background-color: #eee;
}

.export-menu li input[type="checkbox"], .export-menu li label {
  cursor: pointer;
  margin: 0;
}

.export-menu li label {
  padding: 0;
  width: 100%;
}

/*----------------------------------------------
 * DataTable styling
 *-----------------------------------------------*/

table.dataTable input[type="checkbox"] {
  cursor: pointer;
  pointer-events: none;
}

table.dataTable thead > tr > th.sorting_asc,
table.dataTable thead > tr > th.sorting_desc,
table.dataTable thead > tr > th.sorting,
table.dataTable thead > tr > td.sorting_asc,
table.dataTable thead > tr > td.sorting_desc,
table.dataTable thead > tr > td.sorting {
  padding: 8px;
}

.no-highlight {
  background-color: none !important;
}

#tblListVial_wrapper div {
  padding: 0;
}

#tblShelf.dataTable tbody td, #tblShelf.dataTable thead th,
#tblListCell.dataTable tbody td, #tblListCell.dataTable thead th,
#tblVialHistory.dataTable tbody td, #tblVialHistory.dataTable thead th {
  vertical-align: middle;
}

#tblListVial_info span.select-info, #tblListVial_info span.select-item {
  /* 	margin: 0;
    float: left; */
}

#tblListVial_info {
  margin: 10px 5px;
  text-align: center;

}

div.dataTables_wrapper div.dataTables_length select {
  width: auto;
}

#tblListVial_filter, #tblListVialO_filter, #tblListCell_filter, #tblVialHistory_filter, #tblPlasmidDatabaseSample_filter {
  display: none;
}

div.dataTables_info {
  white-space: normal !important;
}

/*----------------------------------------------
 * Toggle styling
 *-----------------------------------------------*/
.toggle-buttons {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0;
  margin-top: 5px;
}

.toggle-buttons .btn-primary {
  width: auto;
}

.toggle-buttons > label {
  font-weight: normal;
  font-size: 12px;
}

#toggleButtonInStorage {
  display: none;
}

.toggle-buttons > label > span {
  top: 2px;
  position: relative;
}

.reset-form-control {
  width: initial;
  display: initial;
}

/*----------------------------------------------
 * Tab styling
 *-----------------------------------------------*/
.tab-pane {
  padding-top: 1em;
}

/*  Move delete buttons up on workflow page */
#statusList .btn-danger, #workflowList .btn-danger {
  margin-top: -5px;
}

/*----------------------------------------------
* Well styling
*-----------------------------------------------*/

.well-success {
  background-color: #dff0d8;
}

.well-warning {
  background-color: #fcf8e3;
}

.well-danger {
  background-color: #f2dede;
}

.podbar {
  bottom: 0;
  position: fixed;
  z-index: 150;
  _position: absolute;
  _top: expression(eval(document.documentElement.scrollTop+
        (document.documentElement.clientHeight-this.offsetHeight)));
  height: 35px;
}

/*----------------------------------------------
* Flex classes
*-----------------------------------------------*/
.flex-middle {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.flex-middle-wrap {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.flex-middle input[type="radio"] {
  margin: 0;
  margin-left: 5px;
  margin-right: 3px;
}

.flex-left {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: left;
}

.flex-left-wrap {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: left;
  flex-wrap: wrap;
}

.flex-left input[type="radio"] {
  margin: 0;
  margin-left: 12px;
  margin-right: 5px;
}


.flex-right {
  padding: 0;
  display: flex;
  justify-content: flex-end;
}

.flex-right-wrap {
  padding: 0;
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
}

/*----------------------------------------------
* Animations
*-----------------------------------------------*/
.animated {
  animation-duration: 0.5s;
}

/*----------------------------------------------
* Freezer visualisation
*-----------------------------------------------*/

@media print {
  .box a[href]:after {
    content: none !important;
  }

  .box-cell {
    font-size: 0.8em;
  }

  .header {
    font-size: 0.8em;
  }
}

.box-additional-info {
  display: flex;
  font-size: 0.8em;
}

#wrapperGraphicalBrowse {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

#graphicalBrowseTank {
  border-radius: 50%;
  border: 2px solid #35548f;
  background-color: #ddeaf7;
  width: 700px;
  height: 700px;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: row;
}

#graphicalBrowseTank .grid-stack {
  width: 650px;
}

#graphicalBrowseTank .grid-stack > .grid-stack-item > .grid-stack-item-content {
  left: 5px;
  right: 5px;
}

.free-position-item {
  border: 1px dashed gray;
}

#addVialsSelectType .label-group label, #printVialsModal .label-group label, #duplicateToBoxKeepPositionSelect .label-group label, #amnsDuplicateModal .label-group label {
  font-size: 100%;
  max-width: 14em;
  width: 12em;
}

/*----------------------------------------------
* Additional styling for notifications
*-----------------------------------------------*/

.alert > button.close {
  font-size: 2.5em;
  top: -3px !important;
}

/*----------------------------------------------
* Fix chrome issue with round corners
*-----------------------------------------------*/

.input-group .form-control:first-child, .input-group-addon:first-child, .input-group-btn:first-child > .btn, .input-group-btn:first-child > .btn-group > .btn, .input-group-btn:first-child > .dropdown-toggle, .input-group-btn:last-child > .btn:not(:last-child):not(.dropdown-toggle), .input-group-btn:last-child > .btn-group:not(:last-child) > .btn {
  -webkit-appearance: none;
}

/*----------------------------------------------
* Current status flex layout
*-----------------------------------------------*/

.current-status {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.current-status-item {
  flex: 1;
  margin: 0 10px;
  border: 1px solid black;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  min-width: 250px;
  margin-bottom: 1em;
  background-color: #ececec;
}

.current-status-header {
  text-align: center;
  padding: 5px;
  color: white;
}

.current-status-content {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  height: 34px;
}

#selectEquipmentIncubator {
  border: 0;
}

#btnIncubator {
  border-top-right-radius: 0;
  border-bottom-right-radius: 2px;
}

/*----------------------------------------------
* Action Layouts
*-----------------------------------------------*/

/* TODO BERNHARD: this should be moved to the sass file! */

.action-menu {
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  align-items: center;
  transition: all 0.3s;
}

.action-menu-active {
  height: 100vh;
}

.action-button {
  display: flex;
  flex-direction: column;
  cursor: pointer;
  height: 60px;
  min-width: 120px;
  transition: all 0.3s;
  z-index: 1;
  box-sizing: content-box;
  margin: 10px;

  width: 290px;
  border: 1px solid #38988a;
  background-color: white;
  color: #48BBAA;
}

.action-button-active {
  margin: 0;
  height: 100%;
  min-width: 100%;
  cursor: auto;
  box-sizing: border-box;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1028;
  color: inherit;
}

.action-header {
  padding: 15px 20px;
  font-size: 20px;
  font-weight: normal;
  display: flex;
  flex-direction: row;
  justify-content: center;
  transition: all 0.3s;
}

.action-header-active {
  padding: 12px 20px;
  background-color: #48BBAA;
  color: white;
  border-bottom: 1px solid #ccc;
  font-weight: bold;
  font-size: 15px;
  justify-content: space-between;
}

.action-content {
  display: none;
  flex: 1;
  transition: all 1s;
}

.action-content-active {
  display: flex;
  overflow-y: auto;
}

div[data-mount="content"] {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 30px 50px;
}

div[data-mount="content"].center {
  justify-content: center;
}

div[data-mount="content"].equal > div {
  flex: 1;
}

.action-footer {
  display: none;
  padding: 8px 10px;
}

.action-footer-active {
  display: flex;
}

div[data-mount="footer"] {
  width: 100%;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}

.action {
  display: none;
  opacity: 0;
  transition: all 1s;
  width: 100%;
}

.action-active {
  display: flex;
  opacity: 100;
}

.action-title {
  font-size: 3.5rem;
  margin-bottom: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.action-title .small {
  font-size: 2.5rem;
}

.action-table {
  display: flex;
  flex-direction: column;
  background-color: #ececec;
  border: 1px solid #ccc;
  border-radius: 0;
  transition: all 0.4s ease-out;
  overflow-y: auto;
}

.action-table.minimal {
  height: 96px;
  flex: none !important;
}

.action-table .qr-scan {
  display: none;
}

.action-table-scan-active {
  outline: none;
  border-color: white;
  box-shadow: 0 0 15px white;
}

.action-table-success {
  border-color: limegreen;
  box-shadow: 0 0 15px limegreen;
}

.action-table-error {
  border-color: tomato;
  box-shadow: 0 0 15px tomato;
}

.action-table-active {
  outline: none;
  border-color: white;
  box-shadow: 0 0 15px white;
}

.message-error {
  color: tomato;
}

.message-success {
  color: limegreen;
}

.action-table-data {
  display: flex;
  flex-direction: column;
  overflow-y: auto;
}

.action-table-info {
  display: flex;
  flex-direction: row;
  flex: auto;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  padding-top: 10px;
  transition: all 0.4s ease-out;
}

.action-form-info {
  flex-grow: 0;
  width: 200px;
  min-width: 200px;
  overflow: hidden;
  margin: 0 15px;
  font-size: 20px;
}

.minimal .action-table-info {
  padding: 5px;
}

.action-table-row {
  display: flex;
  flex: 1 1 auto;
  min-height: 60px;
  flex-direction: row;
  align-items: center;
  background-color: #ddd;
  border-top: 1px solid #bbb;
}

.action-table-row:first-child {
  background-color: transparent;
  border: 0;
  min-height: 34px;
  border-bottom: 1px solid #777;
}

.action-table-row:nth-child(2) {
  border-top: 0;
}

.action-table-header {
  flex: 1;
  font-size: 20px;
  min-height: 36px;
  transition: all 0.5s;
  background-color: #48BBAA;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.action-table-body {
  flex: 1;
  font-size: 20px;
  padding: 4px;
  transition: all 0.5s;
}

.action-table-button {
  flex: 0;
  padding: 0;
}

.action-table-button-active {
  flex: 0.3;
  padding: 0;
  display: flex;
  justify-content: center;
}

.action-table-data-row .action-table-button-active button {
  height: 50px;
  width: 50px;
  border-radius: 50%;
  font-size: 18px;
}

.select-action-label {
  margin: 0;
  height: 50px;
  width: 50px;
  background-color: #ababab;
  border-radius: 25px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.select-action-label-active {
  color: aliceblue;
  border: 1px solid;
  border-color: white;
  box-shadow: 0 0 9px white;
}

.select-action-label input[type="checkbox"], .select-action-label input[type="radio"] {
  display: none;
}

.action-timestamp {
  font-size: 12px;
  display: block;
  font-weight: bold;
  margin-top: 2px;
}

#hood-list, #incubator-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  flex: initial !important;
  justify-content: space-between;
  align-items: center;
  min-height: 50px;
}

#hood-list label, #incubator-list label {
  height: 50px;
  display: flex;
  align-items: center;
  font-size: 20px;
  padding: 5px 15px;
}

#storeSample {
  margin-top: 10px;
}

.modal {
  text-align: center;
  padding: 0 !important;
}

.modal:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.gearbox {
  margin: 0 auto;
  transform: scale(0.8);
  max-height: 250px;
}

.gear, .gear2 {
  height: 100px;
  width: 100px;
  margin-left: auto;
  margin-right: auto;
  background: transparent;
  box-shadow: inset 0 0 0px 15px #333;
  border-radius: 50%;
  position: relative;
  left: -46px;
  -webkit-animation: rotate 3.5s linear infinite;
  -moz-animation: rotate 3.5s linear infinite;
  animation: rotate 3.5s linear infinite;
}

.gear {
  bottom: -60px;
  left: 46px;
  margin-bottom: 20px;
}

.gear:before, .gear:after, .gear2:before, .gear2:after {
  height: 20px;
  width: 20px;
  content: '';
  border-radius: 15%;
  position: absolute;
  background: #333;
}

.gear:before, .gear2:before {
  box-shadow: 50px 50px 0 0 #333, -50px 50px 0 0 #333, 0 100px 0 0 #333;
  top: -10px;
  left: 40px;
}

.gear:after, .gear2:after {
  transform: rotate(45deg);
  top: 5px;
  left: 76px;
  box-shadow: 0px 100px 0 0 #333, 50px 50px 0 0 #333, -50px 50px 0 0 #333;
}

.gear2 {
  -webkit-animation: rotate2 3.5s linear infinite;
  -moz-animation: rotate2 3.5s linear infinite;
  animation: rotate2 3.5s linear infinite;
}

@-webkit-keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(-360deg);
  }
}

@-moz-keyframes rotate {
  0% {
    -moz-transform: rotate(0deg);
  }
  100% {
    -moz-transform: rotate(-360deg);
  }
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}

@-webkit-keyframes rotate2 {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@-moz-keyframes rotate2 {
  0% {
    -moz-transform: rotate(0deg);
  }
  100% {
    -moz-transform: rotate(360deg);
  }
}

@keyframes rotate2 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.sample-details-vials {
  padding: 1px 7px;
  color: white;
  font-weight: bold;
  background-color: black;
  border: 1px solid black;
  border-radius: .25em;
}

.action-subtitle {
  font-size: 2.5rem;
  margin-bottom: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.form-xl {
  font-size: 20px;
  height: 50px;
  margin: 0;
  transition: all 0.4s ease-out;
}

.form-xl.inline {
  height: 50px;
}

.label-xl {
  height: 70px;
  font-size: 20px;
  padding: 25px;
  margin: 10px;
  cursor: pointer;
  min-width: 140px;
}

.m-l-10 {
  margin-left: 10px !important;
}

.form-control::-webkit-input-placeholder { color: lightgray; }  /* WebKit, Blink, Edge */
.form-control:-moz-placeholder { color: lightgray; }  /* Mozilla Firefox 4 to 18 */
.form-control::-moz-placeholder { color: lightgray; }  /* Mozilla Firefox 19+ */
.form-control:-ms-input-placeholder { color: lightgray; }  /* Internet Explorer 10-11 */
.form-control::-ms-input-placeholder { color: lightgray; }  /* Microsoft Edge */
